# Chat room
In this project, we are going to learn to create a chatroom using `nodejs` and a package called `socket.IO`. this library enables real-time bidirectional event-based communication.  
For more information about this library, you can visit [their Github repository](https://github.com/socketio/socket.io)  
This library uses a technology called `Socket` which is on the `TCP` layer of the network. For more information about `Socket`s you can visit this short description in [oracle documents](https://docs.oracle.com/javase/tutorial/networking/sockets/definition.html) Don't worry if you don't understand any of these words' meanings. they are here for those who want to search and know more. For this lesson, I will provide enough information as we go along.